@import "../mixin";

.login-page {
  .form-box {
    .login-form {
      .form-body {
        background: rgba(34, 43, 52, 0.79);
        box-shadow: 0 0 10px 0 rgba(255, 228, 155, 0.87);
        .form-title {
          color: rgb(30, 191, 240);
        }
        .login-btn {
          @include literal-div-btn(24, rgb(30, 191, 240));
        }
        .register-btn {
          @include literal-div-btn(24, rgba(206, 206, 206, 0.86));
        }
      }
    }
  }
}

.register-page {
  .form-box {
    .register-form {
      .form-body {
        background: rgba(34, 43, 52, 0.79);
        box-shadow: 0 0 10px 0 rgba(255, 228, 155, 0.87);
        .form-title {
          color: rgb(30, 191, 240);
        }
        .register-btn {
          @include literal-div-btn(24, rgb(30, 191, 240));
        }
        .login-btn {
          @include literal-div-btn(24, rgba(206, 206, 206, 0.86));
        }
      }
    }
  }
}

.index {
  &::before {
    background-color: rgba(37, 61, 93, 0.55);
  }
  .full-page {
    color: #fff;
    .web-button-blog {
      .login-btn {
        @include literal-div-btn(18, rgb(138, 228, 255), true);
      }
      .register-btn {
        @include literal-div-btn(18, #cbac84, true);
      }
      .login-btn, .register-btn {
        &:hover, &:active {
          color: #143a61;
        }
      }
    }
  }
}
